Bug 2239248 - org.freedesktop.portal.Settings is unavailable
Summary: org.freedesktop.portal.Settings is unavailable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xdg-desktop-portal
Version: 39
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-09-16 13:16 UTC by Fina Wilke
Modified: 2023-09-18 16:22 UTC (History)
5 users (show)

Fixed In Version: xdg-desktop-portal-1.17.2-1.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-18 16:22:03 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fina Wilke 2023-09-16 13:16:32 UTC
xdg-desktop-portal recommends the use of a portals.conf file that is to be shipped by distributions.

https://github.com/flatpak/xdg-desktop-portal/blob/main/doc/portals-conf.rst

Since the update to 1.17.2 the lack of configuration apparently causes the org.freedesktop.portal.Settings portal to be missing from dbus. Most notably this means that org.freedesktop.appearance.color-scheme isn't available which breaks the dark style.

This also causes 

> Choosing gnome.portal for org.freedesktop.impl.portal.Lockdown via the deprecated UseIn key
> The preferred method to match portal implementations to desktop environments is to use the portals.conf(5) configuration file

to be logged to the user journal.

A solution to this issue would be to ship a DESKTOP-portals.conf file  with the appropriate portal implementations. 

Reproducible: Always




Workaround:

Create a /etc/xdg-desktop-portal/portals.conf that contains:

[preferred]
org.freedesktop.impl.portal.Settings=gnome

Comment 1 Kalev Lember 2023-09-17 15:50:25 UTC
This should be fixed with https://src.fedoraproject.org/rpms/gnome-session/pull-request/8 that adds the GNOME portal config file to the gnome-session package.

Comment 2 Fedora Update System 2023-09-17 15:51:31 UTC
FEDORA-2023-c4afd3fba8 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c4afd3fba8

Comment 3 Fedora Update System 2023-09-18 02:04:58 UTC
FEDORA-2023-c4afd3fba8 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c4afd3fba8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c4afd3fba8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-09-18 16:22:03 UTC
FEDORA-2023-c4afd3fba8 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.